From b87d70f08c45306c5d2f28f11731a924e007c47f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 31 2020 03:02:13 +0000
Subject: [PATCH 774/2232] Fix duplication of error messages


Before:

    ```
    cxxbridge: No such file or directory (os error 2)

    Caused by:
        No such file or directory (os error 2)
    ```

---

diff --git a/gen/build/src/error.rs b/gen/build/src/error.rs
index 740ab94..c8eafa5 100644
--- a/gen/build/src/error.rs
+++ b/gen/build/src/error.rs
@@ -24,7 +24,7 @@ impl Display for Error {
 impl StdError for Error {
     fn source(&self) -> Option<&(dyn StdError + 'static)> {
         match self {
-            Error::Io(err) => Some(err),
+            Error::Io(err) => err.source(),
             _ => None,
         }
     }
diff --git a/gen/src/error.rs b/gen/src/error.rs
index 1cedab1..d8badac 100644
--- a/gen/src/error.rs
+++ b/gen/src/error.rs
@@ -33,8 +33,8 @@ impl Display for Error {
 impl StdError for Error {
     fn source(&self) -> Option<&(dyn StdError + 'static)> {
         match self {
-            Error::Io(err) => Some(err),
-            Error::Syn(err) => Some(err),
+            Error::Io(err) => err.source(),
+            Error::Syn(err) => err.source(),
             _ => None,
         }
     }

